Name:           wavemon
Version:        0.7.6
Release:        4%{?dist}
Summary:        Ncurses-based monitoring application for wireless network devices

License:        GPLv2+
URL:            http://eden-feed.erg.abdn.ac.uk/wavemon/
Source0:        http://eden-feed.erg.abdn.ac.uk/wavemon/stable-releases/%{name}-%{version}.tar.bz2

BuildRequires:  ncurses-devel
BuildRequires:  libpcap-devel

%description
wavemon is a wireless device monitoring application that allows you to
watch all important information like device configuration, encryption,
and power management parameters and network information at once.
Adaptive level bargraphs for link quality, signal/noise strength and
signal-to-noise ratio.  The customizeable "level alarm" feature that 
notices the user of changes in signal level strength audibly and/or
visually. wavemon is able to list of access points in range and shows
full-screen level histogram displaying signal/noise levels and SNR.

%prep
%setup -q

%build
%configure
make CFLAGS="%{optflags} -pthread" %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
# Delete wrong placed doc files
rm -rf %{buildroot}%{_datadir}/%{name}/*

%files
%doc AUTHORS ChangeLog COPYING README NEWS THANKS
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
* Tue Sep 30 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.6-4
- Update requirements

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 21 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.6-1
- Update to new upstream 0.7.6

* Fri Jan 17 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-7
- Update spec file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-3
- Update to match new guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-1
- Update to new upstream 0.7.5

* Sat Mar 24 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.4-1
- Update to new upstream 0.7.4

* Sat Feb 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.3-1
- Update to new upstream 0.7.3

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 12 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-3
- Rebuild (wireless-tools)

* Sat Mar 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-1
- Update to new upstream 0.7.2

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Update to new upstream 0.7.1

* Tue Nov 02 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.0-1
- Update to new upstream 0.7.0

* Wed Aug 18 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.11-1
- Update to new upstream 0.6.11

* Thu Nov 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.10-1
- Update to new upstream 0.6.10

* Thu Aug 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.7-1
- Update to new upstream 0.6.7

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.6-1
- Update to new upstream 0.6.6

* Mon May 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.5-1
- Update to new upstream 0.6.5

* Mon May 04 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6-2
- Add optflags to make

* Sat May 02 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6-1
- Update install and prep section
- Update to new upstream version 0.6

* Wed Feb 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-1
- Initial package for Fedora
